{
    onDamagingHit(damage, target, source, move) {
        if (move.type === "Dark") {
            const betterStat = target.storedStats.atk >= target.storedStats.spa ? 'atk' : 'spa';
            const boost = {};
            boost[betterStat] = 1;
            this.boost(boost);
        }
    },
    onSourceModifyAtkPriority: 5,
    onSourceModifyAtk(atk, attacker, defender, move) {
        if (move.type === "Dark") {
            return this.chainModify(0.5);
        }
    },
    onSourceModifySpAPriority: 5,
    onSourceModifySpA(spa, attacker, defender, move) {
        if (move.type === "Dark") {
            return this.chainModify(0.5);
        }
    },
    flags: {},
    name: "Justified",
    rating: 2.5,
    num: 154
}
